Package org.xnio.nio

# Class NioXnioProvider

java.lang.Object
org.xnio.nio.NioXnioProvider

All Implemented Interfaces:
  `XnioProvider`

public final class NioXnioProvider extends Object implements XnioProvider
The NIO XNIO provider.

Author:
  David M. Lloyd

## Constructor Summary

Constructors
Constructor
Description
`NioXnioProvider()`

## Method Summary

Modifier and Type
Method
Description
`Xnio`
`getInstance()`
`String`
`getName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NioXnioProvider

public NioXnioProvider()

## Method Details

### getInstance

public Xnio getInstance()

Specified by:
  `getInstance` in interface `XnioProvider`

### getName

public String getName()

Specified by:
  `getName` in interface `XnioProvider`